libgphoto2 (libgphoto2): libgphoto2/gphoto2-library.h Source File

Main Page | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# gphoto2-library.h

    00001 /* gphoto2-library.h:
    00002  *
    00003  * Copyright © 2000 Scott Fritzinger
    00004  *
    00005  * This library is free software; you can redistribute it and/or
    00006  * modify it under the terms of the GNU Lesser General Public
    00007  * License as published by the Free Software Foundation; either
    00008  * version 2 of the License, or (at your option) any later version.
    00009  *
    00010  * This library is distributed in the hope that it will be useful,
    00011  * but WITHOUT ANY WARRANTY; without even the implied warranty of
    00012  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    00013  * Lesser General Public License for more details.
    00014  *
    00015  * You should have received a copy of the GNU Lesser General Public
    00016  * License along with this library; if not, write to the
    00017  * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    00018  * Boston, MA 02111-1307, USA.
    00019  */
    00020
    00021 #ifndef __GPHOTO2_LIBRARY_H__
    00022 #define __GPHOTO2_LIBRARY_H__
    00023
    00024 #include <gphoto2-abilities-list.h>
    00025 #include <gphoto2-camera.h>
    00026 #include <gphoto2-context.h>
    00027
    00028 #ifdef __cplusplus
    00029 extern "C" {
    00030 #endif /* __cplusplus */
    00031
    00040 typedef int (* CameraLibraryIdFunc)        (CameraText *id);
    00041
    00050 typedef int (* CameraLibraryAbilitiesFunc) (CameraAbilitiesList *list);
    00051
    00063 typedef int (* CameraLibraryInitFunc)      (Camera *camera, GPContext *context);
    00064
    00065 /*
    00066  * If you want to write a camera library, you need to implement
    00067  * the following three functions. Everything else should be declared
    00068  * as static.
    00069  */
    00070 int camera_id           (CameraText *id);
    00071 int camera_abilities    (CameraAbilitiesList *list);
    00072 int camera_init         (Camera *camera, GPContext *context);
    00073
    00074 #ifdef __cplusplus
    00075 }
    00076 #endif /* __cplusplus */
    00077
    00078 #endif /* __GPHOTO2_LIBRARY_H__ */